# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-10-13 12:17
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('branch', '0039_auto_20190808_1511'),
        ('mentorship', '0034_auto_20190814_0827'),
    ]

    operations = [
        migrations.CreateModel(
            name='TeamMentorshipActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(editable=False)),
                ('activity_type', models.IntegerField()),
                ('is_timestamp_estimated', models.BooleanField(default=False)),
                ('team', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='branch.Startup')),
            ],
        ),
        migrations.AddField(
            model_name='teamgoal',
            name='team_mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mentorship.TeamMentorshipActivity'),
        ),
        migrations.AddField(
            model_name='teammentorship',
            name='team_mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mentorship.TeamMentorshipActivity'),
        ),
        migrations.AddField(
            model_name='teammentorshipsession',
            name='team_mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mentorship.TeamMentorshipActivity'),
        ),
        migrations.AddField(
            model_name='teamnote',
            name='team_mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mentorship.TeamMentorshipActivity'),
        ),
    ]
